1.3
1.3
get /v1/cloud-functions/{cloud_function_id}/configurations/resource-policies
Description
Show resource policy
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cloud_function_id required | Cloud Functions ID Example : 8c9f6c1c928a45b4bbd1e4da5531d656 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ResourcePolicyShowResponse |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cloud-functions/{cloud_function_id}/configurations/resource-policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.3"
Example HTTP response
Response 200
{
"policy_document": {
"Statement": [
{
"Action": [
"scf:InvokeFunction"
],
"Condition": {
"StringEquals": {
"scf:CloudFunctionAuthType": [
"SCP_IAM"
]
}
},
"Effect": "Allow",
"Principal": "*",
"Resource": [
"srn:e::27bb070b564349f8a31cc60734cc36a5:kr-west1::scf:cloud-function/1a2afa4bfb854a828602c93009cf4447"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
}
}